CREATE PROCEDURE [dbo].[spInsertPictures]
	@pic_id int = null output,
	@pic_name varchar(50),
	@pic_descript varchar(Max),
	@pic_cate_name varchar(50),
	@pic_uploadtime smalldatetime,
	@pic_uploader varchar(50),
	@pic_serverfilename varchar(50),
	@pic_mimeType varchar(50)
AS
BEGIN
   INSERT INTO tblPictures(
   picture_filename,
   picture_description,
   category_name,
   picture_upload_time,
   picture_uploader,
   picture_serverfilename,
   MimeType)
   VALUES(
   @pic_name,
   @pic_descript,
   @pic_cate_name,
   @pic_uploadtime,
   @pic_uploader,
   @pic_serverfilename,
   @pic_mimeType
   );
select @pic_id = scope_identity()
END
